The Arduino Eclipse plugin named Sloeber

Add this URL to your Eclipse Installation to reach this solution's update site.

Oxygen (4.7)
Neon (4.6)
Mars (4.5)


Luna (4.4)


Kepler (4.3)
Juno (4.2, 3.8)


Learn more...

Details Group Tabs

egaldo's picture

Using the "drag to install" feature it's installing the v2.0 version, hot to get the 3.0 version?

Thanks in advance, E.

jbaeyens's picture

I assume yu were trying to install in neon. I seemed V3 was not marked as compatible with neon.
I changed that and market place tried to install V3 in my neon eclipse install.
If marketplace insists on installing V2: install from this update site http://www.baeyens.it/eclipse/V3.
Note that if you are new to Sloeber we advice to install the "product" which you can get here: http://eclipse.baeyens.it/ (select the install menu at the top and then stable for your OS)

jbaeyens's picture

Another reason may be that V3 needs java 8.

tmisingname3c1's picture

Does not work with latest arduino and boards.

jbaeyens's picture

V3.0 does not need an arduino ide and it supports all the arduino boards.
If you have a issue with a specific board please create a issue at github https://github.com/jantje/arduino-eclipse-plugin/issues

rlogiacco's picture

I initially started to use this plugin more than a year ago and, as a long Eclipse user, I couldn't believe I did spend so much time playing with Arduino without using it!
Anybody willing to get some non trivial development on Arduino should migrate to this plugin at once, simply because it makes your life so much easier you would really question yourself with "How come I didn't know about it!".

And since I've got involved into its development and testing I know some very interesting news are right behind the corner, waiting to be announced!

dyasriady's picture

It's great plugins, Jan...
Keep the job great and usefull for everyone ....
Well done ..!!

jbaeyens's picture

We are doing our best.

vnikolaenko's picture

Great job!